Subject: Re: Data corruption issue with splice() on 2.6.27.10

From: Evgeniy Polyakov <[email-masked]>
Date: Wed, 7 Jan 2009 15:40:34 +0300

On Wed, Jan 07, 2009 at 01:35:04PM +0100, Jens Axboe ([email-masked]) wrote:
> Irregardless of that particular oddity, I don't think this is the right
> path to take at all. We need to delay the pipe buffer consumption until
> the appropriate time.

As a proof of concept we can put a delayed work_struct into the buffer
and only release its content after some timeout big enough (like one
second or so) for the hardware to actually transmit its buffers.

-- 
	Evgeniy Polyakov